Subject: Re: [PATCH 1/7] path.c: implement xdg_config_home()

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Apr 2015 15:30:43 -0700

Stefan Beller <[email-masked]> writes:

> On Tue, Apr 14, 2015 at 1:39 PM, Junio C Hamano <[email-masked]> wrote:
>
>> It is OK to omit the name in the extern declaration here.
>
> It is OK, but I think this is bad practice.

Take a special note on the word "here", meaning "in this particular
case."  It is perfectly fine when the meaning of the parameter is
clear from its type.

I was assuming that our developers have common sense to disambiguate
ambiguous cases, of course ;-)